# Uses of Interface
org.eclipse.net4j.protocol.IProtocolProvider

Packages that use IProtocolProvider
Package
Description
org.eclipse.net4j
The Net4j transport layer.

## Uses of IProtocolProvider in org.eclipse.net4j

Classes in org.eclipse.net4j that implement IProtocolProvider
Modifier and Type
Class
Description
`class`
`ContainerProtocolProvider`
Base class for container-based `protocol providers` like `ContainerProtocolProvider.Client` or `ContainerProtocolProvider.Server`.
`static class`
`ContainerProtocolProvider.Client`
Container-based `protocol provider` for `client` protocols.
`static class`
`ContainerProtocolProvider.Server`
Container-based `protocol provider` for `server` protocols.
`class`
`FactoriesProtocolProvider`
Factory-based `protocol provider`.
Methods in org.eclipse.net4j that return IProtocolProvider
Modifier and Type
Method
Description
`IProtocolProvider`
ITransportConfig.`getProtocolProvider()`
Methods in org.eclipse.net4j with parameters of type IProtocolProvider
Modifier and Type
Method
Description
`void`
ITransportConfig.`setProtocolProvider(IProtocolProvider protocolProvider)`